public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-containers/buildah/
Date: Sun, 10 Jul 2022 21:08:52 +0000 (UTC)	[thread overview]
Message-ID: <1657487328.c6cf09ff8af34398b6d15074fff0b6ee149337e0.zmedico@gentoo> (raw)

commit:     c6cf09ff8af34398b6d15074fff0b6ee149337e0
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 10 21:08:25 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Jul 10 21:08:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6cf09ff

app-containers/buildah: add 1.26.2

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/buildah/Manifest              |  1 +
 app-containers/buildah/buildah-1.26.2.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-containers/buildah/Manifest b/app-containers/buildah/Manifest
index c085fcc5b1a2..bf2bee5adcc3 100644
--- a/app-containers/buildah/Manifest
+++ b/app-containers/buildah/Manifest
@@ -1,2 +1,3 @@
 DIST buildah-1.25.1.tar.gz 14212065 BLAKE2B ec4f668654011f1b93745e1a1d575fdda0cd5f4d6f9f7f7b3106c24aa7d405951ecd645a54c2dd5a3ad2695069e66ad847bdb15f0e73a9c7efba2a7e283d4f58 SHA512 628f8095eb4488ae2be06a2a92de85dde4f3841e8ed9882132c119f27b0c93f26ba10f5dd259d63654b90539d762f6c1973d460f073c0b2450ac5d9582a6a68d
 DIST buildah-1.26.1.tar.gz 14159554 BLAKE2B bf17a51653bb07591c19fca449d6f4eeb87693a4d20ae5f12f669b10c328fadd763e0c0fa76605154a5a6439f4e250bc8f00c2d01c9fbf1e266aa67189aafdbd SHA512 07225ebb23e5a815be1ef8acb5d15ef9fb8c6e9324fa9b65ec024f7b6bbe892721f9feaac2911d1b466c2cf336bd0c68e3d1b4df953f13a3390da84a93f76723
+DIST buildah-1.26.2.tar.gz 14155439 BLAKE2B 3f858f86221b64623d94783c0ef3dd15fa14cef730b30cc5f0554e37f9e3e609a6381842b90b7614b6708434ee5c109497ee89f2da89bb9cc5360e2f8b345adb SHA512 f50a7ee787d10a8f8d1a7e0ff9f86990de975df427af894be5bcc84bceafd2eb87dfe75c1b967ae57056299893c942df257aef1e9aaeb712022a8abceeaebba9

diff --git a/app-containers/buildah/buildah-1.26.2.ebuild b/app-containers/buildah/buildah-1.26.2.ebuild
new file mode 100644
index 000000000000..678ed253256c
--- /dev/null
+++ b/app-containers/buildah/buildah-1.26.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 go-module
+GIT_COMMIT=19159983
+
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/containers/buildah"
+SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="selinux"
+
+RDEPEND="app-crypt/gpgme:=
+	app-containers/skopeo
+	dev-libs/libgpg-error:=
+	dev-libs/libassuan:=
+	sys-apps/shadow:=
+	sys-fs/lvm2:=
+	sys-libs/libseccomp:=
+	selinux? ( sys-libs/libselinux:= )"
+DEPEND="${RDEPEND}"
+
+RESTRICT+=" test"
+
+src_prepare() {
+	default
+	[[ -f selinux_tag.sh ]] || die
+	use selinux || { echo -e "#!/bin/sh\ntrue" > \
+		selinux_tag.sh || die; }
+	sed -i -e 's/make -C/$(MAKE) -C/' Makefile || die 'sed failed'
+}
+
+src_compile() {
+	emake GIT_COMMIT=${GIT_COMMIT} all
+}
+
+src_install() {
+	dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md troubleshooting.md
+	doman docs/*.1
+	dodoc -r docs/tutorials
+	dobin bin/{${PN},imgtype}
+	dobashcomp contrib/completions/bash/buildah
+}
+
+src_test() {
+	emake test-unit
+}


             reply	other threads:[~2022-07-10 21:08 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-10 21:08 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-30 18:56 [gentoo-commits] repo/gentoo:master commit in: app-containers/buildah/ Jakov Smolić
2024-06-30  6:10 Sam James
2024-06-13 19:10 Zac Medico
2024-05-12 20:49 Zac Medico
2024-04-01  0:36 Zac Medico
2024-03-31  0:13 Zac Medico
2024-03-27 12:14 Arthur Zamarin
2024-03-27 12:14 Arthur Zamarin
2024-03-27  2:52 Zac Medico
2024-03-27  2:52 Zac Medico
2024-03-24  5:58 Sam James
2024-03-24  5:58 Sam James
2024-03-23  8:29 Sam James
2024-03-23  8:29 Sam James
2024-03-23  8:29 Sam James
2024-03-17  9:18 Arthur Zamarin
2024-03-08  2:32 Zac Medico
2024-03-07  1:25 Zac Medico
2024-03-07  1:08 Zac Medico
2024-02-16  4:40 Zac Medico
2024-02-15  7:38 Joonas Niilola
2024-02-08  3:17 Zac Medico
2024-01-07  6:52 Joonas Niilola
2024-01-07  6:14 Sam James
2023-12-18  5:44 Zac Medico
2023-11-26 12:38 Arthur Zamarin
2023-11-26  0:55 Sam James
2023-11-19 18:08 Zac Medico
2023-11-19  3:59 Zac Medico
2023-11-19  3:59 Zac Medico
2023-10-31 17:19 Mike Gilbert
2023-10-31  2:33 Zac Medico
2023-10-31  1:41 Zac Medico
2023-10-28  2:36 Zac Medico
2023-10-28  2:36 Zac Medico
2023-10-28  2:36 Zac Medico
2023-09-21  5:13 Zac Medico
2023-09-21  5:09 Zac Medico
2023-09-19 15:06 Zac Medico
2023-09-19  4:34 Zac Medico
2023-07-07 21:22 Sam James
2023-05-10 18:52 Arthur Zamarin
2023-05-10 18:52 Arthur Zamarin
2023-05-09  3:31 Arthur Zamarin
2023-05-09  3:03 Arthur Zamarin
2023-02-22  1:30 Zac Medico
2022-11-24  2:40 Zac Medico
2022-10-04  3:47 Zac Medico
2022-09-19 23:34 Zac Medico
2022-09-19  1:15 Sam James
2022-09-18 20:30 Arthur Zamarin
2022-09-15  2:13 Zac Medico
2022-09-15  2:13 Zac Medico
2022-08-27  0:30 Zac Medico
2022-08-04 15:20 Zac Medico
2022-08-03 16:05 Zac Medico
2022-05-07 16:16 Zac Medico
2022-04-11  3:42 Zac Medico
2022-04-10 17:38 Arthur Zamarin
2022-04-08  7:06 Agostino Sarubbo
2022-04-06  0:51 Zac Medico
2022-04-01 17:18 Zac Medico
2022-03-05  1:30 Zac Medico
2022-02-18 18:54 Zac Medico
2022-02-04 20:23 Zac Medico
2022-01-30 23:47 Zac Medico
2021-12-21  1:37 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657487328.c6cf09ff8af34398b6d15074fff0b6ee149337e0.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox